
#ifdef __cplusplus
#include <bcd.h>
#else
#include <decimal.h>
#endif
/* ------------------------------------------------------- *
// PHYSICAL FILE : MYLIB/MYFILE
// FILE LAST CHANGE DATE : 2014/08/05
// RECORD FORMAT : MYFORMAT
// FORMAT LEVEL IDENTIFIER : 4FA3F5B1EE90B
 * ------------------------------------------------------- */
typedef _Packed struct {
   char EMPNBR[10];                      /* EMPLOYEE NUMBER */
                                         /* ZONE SPECIFIED IN DDS */
                                         /* REPLACED BY CHARACTER TYPE */
   char EMPNAME[50];                     /* EMPLOYEE NAME */
   char SEX[1];

#ifndef __cplusplus
   decimal(10, 2) SALARY;
#else
   _DecimalT<10, 2> SALARY;              /* SALARY (DOLLARS) */
                                         /* BCD class SPECIFIED IN DDS */
#endif
   int POSITION;                         /* POSITION CODE */
   char HIREDATE[26];                    /* HIRE DATE */
                                         /* TIMESTAMP FIELD */
 _Packed struct { short len;             /* LENGTH OF DATA */
            char  data[2000];            /* FIELD DATA     */
   } COMMENTS;                           /* EMPL COMMENTS */
} MYLIB_MYFILE_MYFORMAT_both_t;


typedef _Packed struct {
   char EMPNBR[10];
                                         /* DDS - ASCENDING */
                                         /* SIGNED NUMERIC KEY FIELD */
} MYLIB_MYFILE_MYFORMAT_key_t;


typedef   struct {
   unsigned char EMPNBR;
   unsigned char EMPNAME;
   unsigned char SEX;
   unsigned char SALARY;
   unsigned char POSITION;
   unsigned char HIREDATE;
   unsigned char COMMENTS;
} MYLIB_MYFILE_MYFORMAT_nmap_t;


#ifndef __LVLCHK__
#define __LVLCHK__
typedef struct _LVLCHK_ {
   unsigned char format_name[10];
   unsigned char sequence_no[13];

#ifdef __cplusplus
   _LVLCHK_(const char * pformat, const char * pseq) {
        short int i;
        for (i=0; i < 10; format_name[i]=pformat[i++]);
        for (i=0; i < 13; sequence_no[i]=pseq[i++]);};
#endif
}  _LVLCHK_T[];
#endif



#ifdef __cplusplus
_LVLCHK_T MYLIB_MYFILE__QSYS_LIB_VRIEZENJ3__LIB_GENCSRC_FILE_MYFILE_MBR_lvlchk = {
  _LVLCHK_("MYFORMAT  ","4FA3F5B1EE90B"),
  _LVLCHK_("","")
};
#else
_LVLCHK_T MYLIB_MYFILE__QSYS_LIB_VRIEZENJ3__LIB_GENCSRC_FILE_MYFILE_MBR_lvlchk = {
  "MYFORMAT  ","4FA3F5B1EE90B",
  "",""
};


#endif


